pandoc_args {rmarkdown} | R Documentation

## Functions for generating pandoc command line arguments

### Description

Functions that assist in creating various types of pandoc command line arguments (e.g. for templates, table of contents, highlighting, and content includes)

### Usage

    pandoc_variable_arg(name, value)

    pandoc_include_args(in_header = NULL, before_body = NULL,
      after_body = NULL)

    pandoc_highlight_args(highlight, default = "tango")

    pandoc_latex_engine_args(latex_engine)

    pandoc_toc_args(toc, toc_depth = 3)

### Arguments

`name` | Name of template variable to set.
`value` | Value of template variable.
`in_header` | One or more files with content to be included in the header of the document.
`before_body` | One or more files with content to be included before the document body.
`after_body` | One or more files with content to be included after the document body.
`highlight` | The name of a pandoc syntax highlighting theme.
`default` | The highlighting theme to use if "default" is specified.
`latex_engine` | LaTeX engine for producing PDF output. Options are "pdflatex", "lualatex", and "xelatex".
`toc` | `TRUE` to include a table of contents in the output.
`toc_depth` | Depth of headers to include in table of contents.

### Details

Non-absolute paths for resources referenced from the `in_header`, `before_body`, and `after_body` parameters are resolved relative to the directory of the input document.

### Value

A character vector with pandoc command line arguments

### Examples

    ## Not run:

    library(rmarkdown)

    pandoc_include_args(before_body = "header.htm")
    pandoc_include_args(before_body = "header.tex")

    pancoc_highlight_args("kate")

    pandoc_latex_engine_args("pdflatex")

    pandoc_toc_args(toc = TRUE, toc_depth = 2)

    ## End(Not run)

[Package rmarkdown version 1.2 Index]